@import '../../variables';

$labelColor: #09101D;
$typeColor: #394452;
$durationColor: #545D69;

.theme-element-wrap {
  margin-top: 10px;
  padding: 1px;
  background-size: 100%;
  box-shadow: 2px 2px 7px rgba(0, 0, 0, 0.25);
  border-radius: 20px;
  font-family: $FF_SSP;

  .theme-element {
    height: 100%;
    border-radius: 19px;
    display: flex;
    overflow: hidden;
    .theme-element-left {
      display: flex;
      height: 100%;
      flex-direction: column;
      align-items: flex-start;
      margin-left: -50px;
      .theme-element-image {
        width: 140px;
        height: 140px;
        img {}
      }
    }
    .theme-element-text {
      display: flex;
      font-family: $FF_SSP;
      flex-direction: column;
      justify-content: space-between;
      color: $labelColor;
      padding: 1.25rem 1.25rem 1.25rem 0;
      width: 100%;

      .theme-element-row {
        display: flex;
        flex-wrap: wrap;
        flex-grow: 8;
        width: 100%;
        .theme-element-column {
          display: flex;
          flex-direction: column;
          flex-grow: 8;
          gap: 5px;
          .theme-element-text--label {
            font-size: 1.10rem;
            font-weight: 600;
          }
          .theme-element-text--type {
            font-size: .9rem;
            font-weight: 400;
          }
        }
        .theme-element-cost {
          font-size: .9rem;
          white-space: nowrap;
          font-weight: 600;
          color: $blueColor;
        }
      }

      .theme-element-text-info {
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
        .theme-element-text--duration, .theme-element-text--hours {
          border: 1px solid $blueColor;
          white-space: nowrap;
          background: #F4F6F9;
          color: $blueColor;
          font-weight: 400;
          font-size: .9rem;
          border-radius: 50px;
          padding: 6px 12px;
        }
      }
    }
  }
}
